Bulk create modules
Body
required
application/json
Array of modules to be created
- Type: array object[] ·
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/module
curl https://test.boost.space/api/module \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '[
{
"id": 42,
"created": "2026-01-15T09:30:00Z",
"createdUserId": 42,
"updated": "2026-01-15T09:30:00Z",
"updatedUserId": 42,
"iconName": "Sample iconName",
"iconPrefix": "string",
"name": "Sample name",
"description": "string",
"color": "#1f6feb",
"boostId": "string",
"isDemo": true
}
]'
[
{
"id": 42,
"created": "2026-01-15T09:30:00Z",
"createdUserId": 42,
"updated": "2026-01-15T09:30:00Z",
"updatedUserId": 42,
"iconName": "Sample iconName",
"iconPrefix": "string",
"name": "Sample name",
"description": "string",
"color": "#1f6feb",
"boostId": "string",
"isDemo": true
}
]